Original URL: http://www.theregister.co.uk/2005/01/28/cisco_ios_vulns/

Unholy trio pose DDoS risk for Cisco kit

Malformed protocols flummox routers

By John Leyden

Posted in Security, 28th January 2005 14:06 GMT

The software in many large networks needs to be updated following the discovery of multiple flaws in routers and switches running Cisco's IOS software.

Three security bugs, each involving the way Cisco's software processes particular protocols, could be used to reload affected devices. Repeating the trick would enable crackers to mount denial of service attacks against vulnerable Cisco-based networks.

Each of the flaws - involving the processing of malformed IPv6, BGP and MPLS packets - is separate, but each carries the same denial of service risk. BGP (Border Gateway Protocol) and MPLS (Multi-Protocol Label Switching) are both important protocols used to manage IP routing in large networks.

Links to free software upgrades, along with advice on suggested workarounds, can be found via a US-CERT advisory or on Cisco's website.

The announcement of the vulnerabilities marks the second significant security advisory batch by Cisco in as many days. Earlier this week the networking giant advised users of IP Telephony kit to patch systems following the discovery of a separate security risk. ®

Related stories

Cisco patches VoIP vuln
Cisco fixes 'decoy attack' in security software
Cisco beefs up IOS security